Go to file
Stefan Haslinger 47181f29e3 to enable support assistent sapui5 needs to be used instead of openui5 2022-04-20 07:26:58 +00:00
.vscode walkthrough: step 2: bootstrap 2022-04-19 07:56:26 +00:00
webapp to enable support assistent sapui5 needs to be used instead of openui5 2022-04-20 07:26:58 +00:00
.gitignore minimal app working 2022-04-19 07:01:35 +00:00
README.md minimal app working 2022-04-19 07:01:35 +00:00
package-lock.json walkthrough: step 25 Remote OData Service - including proxy config for Northwind 2022-04-19 12:37:49 +00:00
package.json walkthrough: step 25 Remote OData Service - including proxy config for Northwind 2022-04-19 12:37:49 +00:00
ui5.yaml back to actual oData Service 2022-04-19 13:14:52 +00:00

README.md

SAPUI5 Demo App

Introduction

Following the tutorial in the official documentation leads to the error message.

Also the Getting Started page does not resolve that.

⚠️  Process Failed With Error

Error Message:
Could not find required manifest.json for project webapp: ENOENT: no such file or directory, open '/home/user/projects/webapp/manifest.json'

Thankfully, there is a Github issue, that deals with this issue.

I could follow it besides setting the webapp path, which seems to be superfluous. Further more dependencies to SAPUI5 libraries should no longer be handled via the package.json file, but added using ui-cli like this:

ui5 add sap.ui.core sap.m sap.ui.table themelib_sap_fiori_3

This updates the ui5.yaml file with the configuration needed. The first start of the application server installs missing dependencies.

Tipps

  • Installing dependencies: npm install
  • Start developement web server on port 8080: ui5 serve
  • CTRL